package uk.ac.vamsas.test.simpleclient;

import java.io.File;
import java.util.jar.JarFile;
/**
 * really simple test to see if we can open an archive and test for the existence of
 * an entry called vamssDocument.xml.
 * 
 * 'Pathological' archives fail this test (due to things like funny characters or lots of '.' in the entry name.
 * 
 * @author JimP
 *
 */
public class ZipTest {

  /**
   * @param args single filename as an argument to open as a Jar file.
   */
  public static void main(String[] args) {
    File av = new File(args[0]);
    boolean jfailed=false;
    try {
      JarFile jf = new JarFile(av, false, JarFile.OPEN_READ);
      if (jf.getEntry("vamsasDocument.xml")!=null)
      {
        System.out.println("Valid archive "+av);
      }
      jf.close();
      return;
    } catch (Exception f)
    {
      System.out.println("Couldn't access jar archive "+av);
      f.printStackTrace(System.out);
    }
    try {
      System.out.println("Trying the Apache Zip Package:");
      org.apache.tools.zip.ZipFile jf = new org.apache.tools.zip.ZipFile(av);
      if (jf.getEntry("vamsasDocument.xml")!=null)
      {
        System.out.println("Valid archive "+av);
      }
      jf.close();
    } catch (Exception f)
    {
      System.out.println("Couldn't access jar archive "+av);
      f.printStackTrace(System.out);
    }
  }
}
